# Update Planned Time Off

Replaces the allocations on an existing planned time off entry.

Endpoint: PATCH /v1/planned-time-off/{id}
Version: v1
Security: ApiKey

## Path parameters:

  - `id` (string, required)
    ID of the resource

## Request fields (application/json-patch+json):

  - `allocations` (array, required)
    The list of date and hours allocations for this time off.

  - `allocations.date` (string, required)
    The date of the allocation ISO date formatting expected (yyyy-MM-dd).

  - `allocations.hours` (number, required)
    The number of hours allocated on this date. Must be greater than 0 and at most 24.

## Response 400 fields (application/json):

  - `type` (string)
    RFC reference for the error type

  - `title` (string)
    Human-readable summary of the error

  - `status` (integer)
    HTTP status code

  - `errors` (array)
    Detailed error messages for each validation failure

  - `trace_id` (string)
    Trace identifier for debugging

